Forum Flightgear France

Une communauté prend son envol

Vous n'êtes pas identifié(e).

Annonce

Futur nouvel inscrit, tu dois au préalable lire l'intégralité des 10 articles des règles, s'il te plaît. Tout nouveau compte qui ne respecte pas les règles sera supprimé par l'administration.

#1 2/05/2013 18:31:02

f-jjth
Administrateur
Inscription : 11/02/2012
Messages : 632

Script download_and_compile.sh

Bonjour à tous,

Certains savent déjà que je distribue un script "download_and_compile.sh" modifié et régulièrement mis à jour. Afin d'en faire profiter le plus grand nombre je viens en faire la "promotion".
Le script download_and_compile.sh modifié est disponible ici : http://sourceforge.net/p/flightgear/fgm … compile.sh

Les petits + du script sont :
- OSG est compilé en version stable
- BOOST est compilé en version stable
- OpenRadar a été ajouté (y compris son lanceur : run_openradar.sh)
- Les messages d'alertes concernant l'utilisation de textures DDS sont supprimés  mad
- Le "Help" a été mis à jour et inclut une phrase explicative concernant la variable "WHATTOBUILDALL"


Amicalement,
Clément

[EDIT par f-toro]Pour l’exécution du script, on peut s'aider avec le tuto de Dany93 qui se trouve ici.[/EDIT]


OS: Linux Mint 17.1 | RAM: 12Go | GPU: GTX460SE | CPU: Intel I5 | FG: GIT

POIs: DR400-dauphin | FGCom | Jenkins | download_and_compile.sh

Hors ligne

#2 2/05/2013 20:51:33

f-toro
Administrateur
Lieu : LFLA
Inscription : 16/12/2007
Messages : 2 193

Re : Script download_and_compile.sh

Depuis 2007 que je fais partie du forum, simple membre avant d'en devenir administrateur, j'ai toujours utilisé le script.
Bien que pour diverses raisons, il me soit arrivé de compiler module par module, à la mano.
Aujourd'hui il m'arrive régulièrement de compiler certains logiciels à partir des sources.
Mais c'est quand même une gymnastique.
Quelle confort de pouvoir compiler avec un script qui fait tout, tout seul.

Il a été créé par Francesco Angelo Brisa, je pense qu'au passage on peut lui rendre hommage.

Et il a bien évolué depuis.
Et Clément a ajouté une pierre importante à l'édifice.

Je l'en félicite, et je me félicite qu'il soit enfin plus reconnu et que Clément en fasse la promotion.


André. anciennement taureau89_9
Debian Testing Amd64. CM Sabertooth 990FX, FX8350, 32 Go Ram DDR3 1866 Mhz, GTX 750ti 2Go, DD 2To Sata 3, THRUSTMASTER T.Flight StickX, FG 2017.4.0 Git.

Hors ligne

#3 11/09/2013 18:05:03

ctesc356
Membre
Inscription : 18/05/2010
Messages : 2 219

Re : Script download_and_compile.sh

Bonsoir,
j'ai lancé un "update" de mon Fg v2.99.0 par

./download_and_compile.sh -u

download_and_compile (v2.02) bloque sur:

****************************************
**************** OSG *******************
****************************************
svn: E155036: Voir la commande 'svn upgrade'
svn: E155036: Le format de la copie de travail '/home/teu/fgfs/OpenSceneGraph' est trop ancien (10, créé pas subversion 1.6)

La semaine dernière ça passait sans broncher smile
Que faut'il upgrader?

Amicalement.


Intel i5 3570 3.4Mhz, Nvidia GTX 660, 8Go Ram, Linux Mint

Hors ligne

#4 11/09/2013 21:02:37

f-jjth
Administrateur
Inscription : 11/02/2012
Messages : 632

Re : Script download_and_compile.sh

Euuuh aucune idée hmm Jamais vu ça auparavant, ici ça marche nikel (v2.03) testé à l'instant.

Ma version:

clement@clement-desktop ~ $ svn --version
svn, version 1.7.5 (r1336830)
    compilé Jun 22 2013, 03:54:07

Et toi ?

Amicalement,
Clément


OS: Linux Mint 17.1 | RAM: 12Go | GPU: GTX460SE | CPU: Intel I5 | FG: GIT

POIs: DR400-dauphin | FGCom | Jenkins | download_and_compile.sh

Hors ligne

#5 11/09/2013 22:50:09

ctesc356
Membre
Inscription : 18/05/2010
Messages : 2 219

Re : Script download_and_compile.sh

svn, version 1.7.9 (r1462340)
    compilé Sep  3 2013, 05:06:02

????
j'ai fait un apt-get update et upgrade, mais toujours pareil


Intel i5 3570 3.4Mhz, Nvidia GTX 660, 8Go Ram, Linux Mint

Hors ligne

#6 11/09/2013 23:00:34

f-jjth
Administrateur
Inscription : 11/02/2012
Messages : 632

Re : Script download_and_compile.sh

Je n'ai pas d'autre idée sad
Une solution simple serait de ne plus utiliser SVN et passer sur du GIT, par chance OSG possède plusieurs miroir dont un sur gitorious.org : git@gitorious.org:openscenegraph/osg.git

Il suffit de modifier d&c un petit peu (surtout du copié/collé) pour l'utiliser.
Ça pourrait être l'objet d'une version 2.04 ... si tu as le temps de tester, ton retour d'expérience m'intéresse.

Amicalement,
Clément


OS: Linux Mint 17.1 | RAM: 12Go | GPU: GTX460SE | CPU: Intel I5 | FG: GIT

POIs: DR400-dauphin | FGCom | Jenkins | download_and_compile.sh

Hors ligne

#7 11/09/2013 23:01:51

ctesc356
Membre
Inscription : 18/05/2010
Messages : 2 219

Re : Script download_and_compile.sh

Après "apt-get upgrade de Debian", avec "download_and_compile 2.03":

****************************************
**************** OSG *******************
****************************************
p11-kit: invalid config filename, will be ignored in the future: /etc/pkcs11/modules/gnome-keyring-module
svn: E155036: Voir la commande 'svn upgrade'
svn: E155036: Le format de la copie de travail '/home/teu/fgfs/OpenSceneGraph' est trop ancien (10, créé pas subversion 1.6)

pareil si j'essaie:

./download_and_compile.sh OSG


Intel i5 3570 3.4Mhz, Nvidia GTX 660, 8Go Ram, Linux Mint

Hors ligne

#8 11/09/2013 23:10:43

f-jjth
Administrateur
Inscription : 11/02/2012
Messages : 632

Re : Script download_and_compile.sh

Nos messages ont du se croiser wink

En te rendant dans le répertoire de OSG et en faisant un "svn upgrade" ça fait quoi ?


OS: Linux Mint 17.1 | RAM: 12Go | GPU: GTX460SE | CPU: Intel I5 | FG: GIT

POIs: DR400-dauphin | FGCom | Jenkins | download_and_compile.sh

Hors ligne

#9 11/09/2013 23:17:30

ctesc356
Membre
Inscription : 18/05/2010
Messages : 2 219

Re : Script download_and_compile.sh

J'ai lancé "./download_and_compile.sh ALL
OSG compile, la suite demain matin smile


Intel i5 3570 3.4Mhz, Nvidia GTX 660, 8Go Ram, Linux Mint

Hors ligne

#10 11/09/2013 23:27:06

ctesc356
Membre
Inscription : 18/05/2010
Messages : 2 219

Re : Script download_and_compile.sh

f-jjth a écrit :

En te rendant dans le répertoire de OSG et en faisant un "svn upgrade" ça fait quoi ?

Je l'ai fait sur la sauvegarde, et ça semble fonctionner:

Upgraded '.'
Upgraded 'CMakeModules'
Upgraded 'PlatformSpecifics'
Upgraded 'PlatformSpecifics/Windows'
Upgraded 'PlatformSpecifics/Windows/icons'
Upgraded 'PlatformSpecifics/Windows/icons/src'
Upgraded 'PlatformSpecifics/Android'
Upgraded 'examples'
Upgraded 'examples/osgpoints'
Upgraded 'examples/osgstereomatch'

et il y en a 200 lignes.
je laisse tourner le "ALL" et j'essie demain de updater la sauvegarde.

merci Clément!

EDIT: J'aurais pu essayer d'effacer OpenSceneGraph avant de lancer la compil??
pensé trop tard smile

Dernière modification par ctesc356 (11/09/2013 23:30:02)


Intel i5 3570 3.4Mhz, Nvidia GTX 660, 8Go Ram, Linux Mint

Hors ligne

#11 12/09/2013 14:06:16

ctesc356
Membre
Inscription : 18/05/2010
Messages : 2 219

Re : Script download_and_compile.sh

Ca se complique sad

J'ai relancé  "./download_and_compile.sh -u" après le "svn upgrade" du dossier OpenSceneGraph.
je pense qu'il a complètement reconstruit OSG, mais il y a des erreurs. (lignes 942-944 et 1011-1013) du log):
http://www.partage-facile.com/QJDFY5D3Z … e.txt.html
La mis à jour est complète,
mais à la fin dans la console il y a toujours:

p11-kit: invalid config filename, will be ignored in the future: /etc/pkcs11/modules/gnome-keyring-module
svn: E155036: Voir la commande 'svn upgrade'
svn: E155036: Le format de la copie de travail '/home/teu/fgfs/fgcomgui' est trop ancien (10, créé pas subversion 1.6)

Fg semble fonctionner correctement.

Par contre une compilation complète donne : OSG ok sans erreurs mais problèmes pour FGFS, ci joint le log:
http://www.partage-facile.com/GOR243L25 … l.txt.html
La debian serait elle en "avance" sur Fg après "apt-get upgrade" ?

Amicalement.


Intel i5 3570 3.4Mhz, Nvidia GTX 660, 8Go Ram, Linux Mint

Hors ligne

#12 24/02/2014 23:47:41

jylfr
Membre
Lieu : Brest-Lyon
Inscription : 14/01/2007
Messages : 44
Site Web

Re : Script download_and_compile.sh

Bonsoir,

J'ai refait une compil de fg et j'ai l'erreur suivante : ./fgfs: error while loading shared libraries: libOpenThreads.so.12: cannot open shared object file: No such file or directory
sous ubuntu 13.10 64 bits


Ubuntu 16.10 Flightgear version git stable
16 Giga mémoire Intel® HD Graphics 520 Intel® Core™ i7-6600U CPU @ 2.60GHz × 4
777-Seatle Indicatif F-JYL

Hors ligne

#13 25/02/2014 3:57:29

f-jjth
Administrateur
Inscription : 11/02/2012
Messages : 632

Re : Script download_and_compile.sh

tu lances bien FG via le script "run_fgfs.sh" ?
Quel version du script as-tu ?
mets donc le contenu du "compilation_log.txt" ici


OS: Linux Mint 17.1 | RAM: 12Go | GPU: GTX460SE | CPU: Intel I5 | FG: GIT

POIs: DR400-dauphin | FGCom | Jenkins | download_and_compile.sh

Hors ligne

#14 25/02/2014 7:33:55

jylfr
Membre
Lieu : Brest-Lyon
Inscription : 14/01/2007
Messages : 44
Site Web

Re : Script download_and_compile.sh

Oui je lance fg par le .sh, j'ai la dernière version du script. La lib en question est bien dans le path ....
Je vais refaire une compil propre en partant de 0 et je mettrai le log ici.
merci de ta réponse.


Ubuntu 16.10 Flightgear version git stable
16 Giga mémoire Intel® HD Graphics 520 Intel® Core™ i7-6600U CPU @ 2.60GHz × 4
777-Seatle Indicatif F-JYL

Hors ligne

#15 25/02/2014 8:20:45

jylfr
Membre
Lieu : Brest-Lyon
Inscription : 14/01/2007
Messages : 44
Site Web

Re : Script download_and_compile.sh

Un petit problème au chargement des data ....

****************************************
**************** DATA ******************
****************************************
./download_and_compile.sh: ligne 833 : cd: /home/jylebleu/devmisc/fg/fgfs/install/flightgear: Aucun fichier ou dossier de ce type


Ubuntu 16.10 Flightgear version git stable
16 Giga mémoire Intel® HD Graphics 520 Intel® Core™ i7-6600U CPU @ 2.60GHz × 4
777-Seatle Indicatif F-JYL

Hors ligne

#16 27/02/2014 7:22:52

jylfr
Membre
Lieu : Brest-Lyon
Inscription : 14/01/2007
Messages : 44
Site Web

Re : Script download_and_compile.sh

Une compil complète en repartant de 0 et pas de problème, fausse alerte


Ubuntu 16.10 Flightgear version git stable
16 Giga mémoire Intel® HD Graphics 520 Intel® Core™ i7-6600U CPU @ 2.60GHz × 4
777-Seatle Indicatif F-JYL

Hors ligne

#17 22/03/2014 16:06:42

f-toro
Administrateur
Lieu : LFLA
Inscription : 16/12/2007
Messages : 2 193

Re : Script download_and_compile.sh

Clément, je vois que dans le script, tu as maintenu Atlas, en avant dernier module.

Normalement je ne l'utilise plus, mais j'ai quand même voulu essayer.

A priori pas de changement :

make[2]: entrant dans le répertoire « /home/andre/300114fgfs/build/atlas/src »
g++  -I/home/andre/300114fgfs/OpenSceneGraph/include -DFGBASE_DIR='"/home/andre/300114fgfs/install/flightgear/fgdata"'  -L/home/andre/300114fgfs/install/simgear/lib -L/home/andre/300114fgfs/install/plib/lib -L/usr/local//lib -o Atlas Notifications.o Atlas.o GLUTWindow.o AtlasBaseWindow.o AtlasWindow.o AtlasController.o FlightTrack.o Image.o NavData.o Overlays.o AirportsOverlay.o AirwaysOverlay.o FixesOverlay.o NavaidsOverlay.o FlightTracksOverlay.o CrosshairsOverlay.o RangeRingsOverlay.o Tiles.o TileMapper.o Searcher.o Search.o Preferences.o Graphs.o Culler.o Scenery.o Background.o Cache.o LayoutManager.o Bucket.o Subbucket.o Palette.o misc.o Globals.o Geographics.o -lsgmagvar -lsgtiming -lsgmisc -lsgio -lsgserial -lsgdebug -lsgbucket -lsgstructure -lsgmath -lsgthreads -lplibsg -lplibpuaux -lplibpu -lplibfnt -lplibnet -lglut -lGLU -lGL -lXmu -lXt -lSM -lICE -lXi -lXext -lX11 -lpthread -lm  -lpng -lz -ljpeg -lGLEW -lplibul -lcurl -lm 
/usr/bin/ld: ne peut trouver -lsgmagvar
/usr/bin/ld: ne peut trouver -lsgtiming
/usr/bin/ld: ne peut trouver -lsgmisc
/usr/bin/ld: ne peut trouver -lsgio
/usr/bin/ld: ne peut trouver -lsgserial
/usr/bin/ld: ne peut trouver -lsgdebug
/usr/bin/ld: ne peut trouver -lsgbucket
/usr/bin/ld: ne peut trouver -lsgstructure
/usr/bin/ld: ne peut trouver -lsgmath
/usr/bin/ld: ne peut trouver -lsgthreads
collect2: error: ld returned 1 exit status
make[2]: *** [Atlas] Erreur 1
make[2]: quittant le répertoire « /home/andre/300114fgfs/build/atlas/src »
make[1]: *** [install-recursive] Erreur 1
make[1]: quittant le répertoire « /home/andre/300114fgfs/build/atlas/src »
make: *** [install-recursive] Erreur 1
To start fgfs, run the run_fgfs.sh file
To start terrasync, run the run_terrasync.sh file
To start fgrun, run the run_fgrun.sh file
To start fgcom, run the run_fgcom.sh file
To start fgcom GUI, run the run_fgcomgui.sh file
To start atlas, run the run_atlas.sh file
Usage: download_and_compile.sh -h
for help
andre@990FX6100:~/300114fgfs$ sh run_atlas.sh
run_atlas.sh: 3: cd: can't cd to install/atlas/bin
run_atlas.sh: 5: run_atlas.sh: ./Atlas: Permission denied
andre@990FX6100:~/300114fgfs$ 

Le binaire ne se crée pas.
Est-il utile de le maintenir dans le script, ou y a-t-il une solution pour réussir à le compiler quand même ?


André. anciennement taureau89_9
Debian Testing Amd64. CM Sabertooth 990FX, FX8350, 32 Go Ram DDR3 1866 Mhz, GTX 750ti 2Go, DD 2To Sata 3, THRUSTMASTER T.Flight StickX, FG 2017.4.0 Git.

Hors ligne

#18 22/03/2014 16:53:52

f-toro
Administrateur
Lieu : LFLA
Inscription : 16/12/2007
Messages : 2 193

Re : Script download_and_compile.sh

Clément, en complément de mon précédent message, à priori il existe un patch que nous avait indiqué jano.
Mais bêtement ma mémoire me fait défaut et je ne sais plus comment on fait pour appliquer un patch.
Pourrais-tu le rajouter dans les lignes de code d'Atlas, je referais bien un essai, j'aimais bien Atlas !

Nostalgie, quand tu nous tiens...


André. anciennement taureau89_9
Debian Testing Amd64. CM Sabertooth 990FX, FX8350, 32 Go Ram DDR3 1866 Mhz, GTX 750ti 2Go, DD 2To Sata 3, THRUSTMASTER T.Flight StickX, FG 2017.4.0 Git.

Hors ligne

#19 22/03/2014 21:02:09

f-jjth
Administrateur
Inscription : 11/02/2012
Messages : 632

Re : Script download_and_compile.sh

N'étant pas utilisateur de ATLAS je n'ai jamais cherché à le faire fonctionner, pour tout te dire je pensais l'avoir supprimer et le fait que tu m'en parles me donne encore plus envie de le supprimer...
Si tu te sens de faire en sorte que ça compile je veux bien mettre à jour le script sinon Atlas sera retiré du script que je maintiens lors du prochain rush  tongue

Amicalement,
Clément


OS: Linux Mint 17.1 | RAM: 12Go | GPU: GTX460SE | CPU: Intel I5 | FG: GIT

POIs: DR400-dauphin | FGCom | Jenkins | download_and_compile.sh

Hors ligne

#20 22/03/2014 21:38:05

f-toro
Administrateur
Lieu : LFLA
Inscription : 16/12/2007
Messages : 2 193

Re : Script download_and_compile.sh

Oui je veux bien faire un essai mais ce que je ne sais pas c'est comment on applique le patch.
Il me semble me souvenir qu'à une époque lointaine il y avait eu un patch diff dans un module, inséré dans les lignes du script.
Si tu peux l'intégrer je ferai les essais, si on n'y arrive pas tu pourras retirer Atlas du script.


André. anciennement taureau89_9
Debian Testing Amd64. CM Sabertooth 990FX, FX8350, 32 Go Ram DDR3 1866 Mhz, GTX 750ti 2Go, DD 2To Sata 3, THRUSTMASTER T.Flight StickX, FG 2017.4.0 Git.

Hors ligne

#21 23/03/2014 0:13:19

f-toro
Administrateur
Lieu : LFLA
Inscription : 16/12/2007
Messages : 2 193

Re : Script download_and_compile.sh

Ok, Clément, j'ai regardé vite fait et je crois piger quels sont les fichiers source concernés et comment on les modifie.

J'essaie de faire compiler Atlas dès que j'ai un moment et je te tiens au courant.

Sinon je viens de lancer une compilation sur mon vieux poste en debian stable pour voir si FG compile bien en stable avec le script.
Cette installation sera inutilisable, processeur trop lent, ram trop faible, carte graphique pas assez puissante, mais je saurai si une stable compile !


André. anciennement taureau89_9
Debian Testing Amd64. CM Sabertooth 990FX, FX8350, 32 Go Ram DDR3 1866 Mhz, GTX 750ti 2Go, DD 2To Sata 3, THRUSTMASTER T.Flight StickX, FG 2017.4.0 Git.

Hors ligne

#22 23/03/2014 13:41:30

Clm76
Membre
Lieu : LFOH
Inscription : 22/10/2012
Messages : 781

Re : Script download_and_compile.sh

Je suis en train de refaire une installation complète de Fg au moyen du script en le stoppant lorsque qu'il a voulu télécharger le fgdata depuis Git puisque j'ai déjà un fgdata correct récupéré de windows.

Ensuite je lance le script "download_and_compile.sh FGO" et j'ai une erreur :

Connexion vers sites.google.com (sites.google.com)|173.194.34.9|:443...connecté.
GnuTLS: A TLS packet with unexpected length was received.
Incapable d'établir une connexion SSL.

A quoi sert FGO et est-il utile ?


Fg 2017.4.0 - LinuxMint 18.2 Sonya - CM Asus P8H67 MLE - CPU i3 2100T - 12 Go Ram - Nvidia Geforce GTX 770 - Driver Nvidia 384.90

Hors ligne

#23 23/03/2014 13:58:34

f-jjth
Administrateur
Inscription : 11/02/2012
Messages : 632

Re : Script download_and_compile.sh

Clm76 a écrit :

A quoi sert FGO et est-il utile ?

http://wiki.flightgear.org/Fr/FGo!


OS: Linux Mint 17.1 | RAM: 12Go | GPU: GTX460SE | CPU: Intel I5 | FG: GIT

POIs: DR400-dauphin | FGCom | Jenkins | download_and_compile.sh

Hors ligne

#24 23/03/2014 20:21:28

f-toro
Administrateur
Lieu : LFLA
Inscription : 16/12/2007
Messages : 2 193

Re : Script download_and_compile.sh

f-toro a écrit :

Ok, Clément, j'ai regardé vite fait et je crois piger quels sont les fichiers source concernés et comment on les modifie.

J'ai fait quelques essais.

Lorsqu'on compile Atlas avec le script, on a l'erreur suivante :

make[2]: entrant dans le répertoire « /home/andre/300114fgfs/build/atlas/src »
g++  -I/home/andre/300114fgfs/OpenSceneGraph/include -DFGBASE_DIR='"/home/andre/300114fgfs/install/flightgear/fgdata"'  -L/home/andre/300114fgfs/install/simgear/lib -L/home/andre/300114fgfs/install/plib/lib -L/usr/local//lib -o Atlas Notifications.o Atlas.o GLUTWindow.o AtlasBaseWindow.o AtlasWindow.o AtlasController.o FlightTrack.o Image.o NavData.o Overlays.o AirportsOverlay.o AirwaysOverlay.o FixesOverlay.o NavaidsOverlay.o FlightTracksOverlay.o CrosshairsOverlay.o RangeRingsOverlay.o Tiles.o TileMapper.o Searcher.o Search.o Preferences.o Graphs.o Culler.o Scenery.o Background.o Cache.o LayoutManager.o Bucket.o Subbucket.o Palette.o misc.o Globals.o Geographics.o -lsgmagvar -lsgtiming -lsgmisc -lsgio -lsgserial -lsgdebug -lsgbucket -lsgstructure -lsgmath -lsgthreads -lplibsg -lplibpuaux -lplibpu -lplibfnt -lplibnet -lglut -lGLU -lGL -lXmu -lXt -lSM -lICE -lXi -lXext -lX11 -lpthread -lm  -lpng -lz -ljpeg -lGLEW -lplibul -lcurl -lm 
/usr/bin/ld: ne peut trouver -lsgmagvar
/usr/bin/ld: ne peut trouver -lsgtiming
/usr/bin/ld: ne peut trouver -lsgmisc
/usr/bin/ld: ne peut trouver -lsgio
/usr/bin/ld: ne peut trouver -lsgserial
/usr/bin/ld: ne peut trouver -lsgdebug
/usr/bin/ld: ne peut trouver -lsgbucket
/usr/bin/ld: ne peut trouver -lsgstructure
/usr/bin/ld: ne peut trouver -lsgmath
/usr/bin/ld: ne peut trouver -lsgthreads
collect2: error: ld returned 1 exit status
make[2]: *** [Atlas] Erreur 1
make[2]: quittant le répertoire « /home/andre/300114fgfs/build/atlas/src »
make[1]: *** [install-recursive] Erreur 1
make[1]: quittant le répertoire « /home/andre/300114fgfs/build/atlas/src »
make: *** [install-recursive] Erreur 1

La compilation ne peut pas trouver des fichiers simgear -lsxxx... , que l’exécutable /usr/bin/ld ne trouve pas.

Le patch propose de modifier le configure.ac de Atlas en remplaçant à la ligne 156 l'instruction :

simgear_LIBS="-lsgmagvar -lsgtiming -lsgmisc -lsgio -lsgserial -lsgdebug -lsgbucket -lsgstructure -lsgmath -lsgthreads"

par l'instruction :

simgear_LIBS="-lSimGearCore"

Comme ça correspond aux lignes du message d'erreur, je me suis dit qu'il y avait de l'espoir...
Après recompilation, résultat des courses :

make[2]: entrant dans le répertoire « /home/andre/300114fgfs/build/atlas/src »
g++  -I/home/andre/300114fgfs/OpenSceneGraph/include -DFGBASE_DIR='"/home/andre/300114fgfs/install/flightgear/fgdata"'  -L/home/andre/300114fgfs/install/simgear/lib -L/home/andre/300114fgfs/install/plib/lib -L/usr/local//lib -o Atlas Notifications.o Atlas.o GLUTWindow.o AtlasBaseWindow.o AtlasWindow.o AtlasController.o FlightTrack.o Image.o NavData.o Overlays.o AirportsOverlay.o AirwaysOverlay.o FixesOverlay.o NavaidsOverlay.o FlightTracksOverlay.o CrosshairsOverlay.o RangeRingsOverlay.o Tiles.o TileMapper.o Searcher.o Search.o Preferences.o Graphs.o Culler.o Scenery.o Background.o Cache.o LayoutManager.o Bucket.o Subbucket.o Palette.o misc.o Globals.o Geographics.o -lSimGearCore -lplibsg -lplibpuaux -lplibpu -lplibfnt -lplibnet -lglut -lGLU -lGL -lXmu -lXt -lSM -lICE -lXi -lXext -lX11 -lpthread -lm  -lpng -lz -ljpeg -lGLEW -lplibul -lcurl -lm 
/usr/bin/ld: ne peut trouver -lSimGearCore
collect2: error: ld returned 1 exit status
make[2]: *** [Atlas] Erreur 1
make[2]: quittant le répertoire « /home/andre/300114fgfs/build/atlas/src »
make[1]: *** [install-recursive] Erreur 1
make[1]: quittant le répertoire « /home/andre/300114fgfs/build/atlas/src »
make: *** [install-recursive] Erreur 1

donc pareil, /usr/bin/ld ne trouve pas -lSimGearCore
alors qu'il semble bien exister, mais non dans le système mais dans le dossier de compilation, dans
/install/simgear/lib/x86_64-linux-gnu/

Bref j'en déduis que le configure de Atlas tel qu'il existe actuellement ne détecte pas correctement les librairies simgear.

Dans ces conditions c'est dommage, mais il n'y a pas de raisons de conserver dans le script un module qui ne compile plus.

Le patch propose aussi de modifier deux autres fichiers, mais le second, Preferences.cxx , ne correspond plus à celui qui est présent dans les sources téléchargées.

Dommage, je la trouvais sympa, la sphère !


André. anciennement taureau89_9
Debian Testing Amd64. CM Sabertooth 990FX, FX8350, 32 Go Ram DDR3 1866 Mhz, GTX 750ti 2Go, DD 2To Sata 3, THRUSTMASTER T.Flight StickX, FG 2017.4.0 Git.

Hors ligne

#25 24/03/2014 9:19:10

sashitsu
Membre
Inscription : 11/03/2014
Messages : 23

Re : Script download_and_compile.sh

Bonjour tout le monde.
J'ai lancé le script sur le terminal et il a tout fait mais maintenant je ne vois plus rien a part u fichier texte qui me dit
424456Capturedu20140324101801.png

Je suis censé faire quoi maintenant s'il vous plait ? Parce que dans le fichier ou j'ai mis le script il y a ça et c'est tout :
571065Capturedu20140324102048.png

Merci de votre aide

Dernière modification par sashitsu (24/03/2014 9:21:54)


Core i 3 2120 3,30 GHZ / Ram 5 Go / Carte graphique Nvidia GT 630 2Go, driver propriétaire Nvidia 331.20, Flightgear 3.0, Linux Mint 16

Hors ligne

Pied de page des forums